Authentication

Get Moderation Reports

GET
/moderationReports

Get submitted moderation reports

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Query Parameters

offset?integer

A zero-based offset from the default object sorting from where search results start.

Range0 <= value
n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
reportingUserId?string

Filter for moderation reports.

status?string

Filter for moderation reports. One of: closed...

type?string

Filter for moderation reports. One of: avatar, group, user, world...

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/moderationReports"
{
  "hasNext": true,
  "results": [
    {
      "category": "behavior",
      "contentId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
      "contentName": "string",
      "contentThumbnailImageUrl": "string",
      "description": "iz bulli",
      "evidenceRequired": true,
      "id": "modReport_a09eb23c-2c62-4ea9-b885-6198f23c5313",
      "reason": "string",
      "supportRequired": true,
      "type": "user"
    }
  ],
  "totalCount": 0
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "\"Invalid Admin Credentials\"",
    "status_code": 403
  }
}